model loiDeCoulombHorizontal
  Modelica.Mechanics.Translational.Components.Mass masse_a_deplacer(m = 100) annotation(
    Placement(visible = true, transformation(origin = {-6, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force forceMotrice annotation(
    Placement(visible = true, transformation(origin = {-36, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Ramp forceAppliquee(duration = 5, height = 600, startTime = 1) annotation(
    Placement(visible = true, transformation(origin = {-72, 10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Translational.Sources.Force forceResistante annotation(
    Placement(visible = true, transformation(origin = {24, 10}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression EffortTangentielAdherence(y = if masse_a_deplacer.v > 0 then -forceAppliquee.y else 0) annotation(
    Placement(visible = true, transformation(origin = {96, -2}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Logical.Switch switch1 annotation(
    Placement(visible = true, transformation(origin = {56, 10}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression EffortTangentielGlissement(y = -masse_a_deplacer.m * 9.81 * coeff_frottement_cinetique.y) annotation(
    Placement(visible = true, transformation(origin = {96, 20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.BooleanExpression BasculementAdherenceGlissement(y = forceAppliquee.y > masse_a_deplacer.m * 9.81 * coeff_frottement_statique.y) annotation(
    Placement(visible = true, transformation(origin = {132, 10}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant coeff_frottement_statique(k = 0.5) annotation(
    Placement(visible = true, transformation(origin = {64, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.Constant coeff_frottement_cinetique(k = 0.3) annotation(
    Placement(visible = true, transformation(origin = {100, 48}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(switch1.u1, EffortTangentielGlissement.y) annotation(
    Line(points = {{68, 18}, {76.5, 18}, {76.5, 20}, {85, 20}}, color = {0, 0, 127}));
  connect(EffortTangentielAdherence.y, switch1.u3) annotation(
    Line(points = {{85, -2}, {77.5, -2}, {77.5, 2}, {68, 2}}, color = {0, 0, 127}));
  connect(forceResistante.f, switch1.y) annotation(
    Line(points = {{36, 10}, {45, 10}}, color = {0, 0, 127}));
  connect(switch1.u2, BasculementAdherenceGlissement.y) annotation(
    Line(points = {{68, 10}, {121, 10}}, color = {255, 0, 255}));
  connect(forceAppliquee.y, forceMotrice.f) annotation(
    Line(points = {{-61, 10}, {-48, 10}}, color = {0, 0, 127}));
  connect(forceMotrice.flange, masse_a_deplacer.flange_a) annotation(
    Line(points = {{-26, 10}, {-16, 10}}, color = {0, 127, 0}));
  connect(masse_a_deplacer.flange_b, forceResistante.flange) annotation(
    Line(points = {{4, 10}, {14, 10}}, color = {0, 127, 0}));
  annotation(
    Diagram(coordinateSystem(extent = {{-200, -100}, {200, 100}})),
    Icon(coordinateSystem(extent = {{-200, -100}, {200, 100}})),
    version = "",
    uses(Modelica(version = "3.2.2")),
    __OpenModelica_commandLineOptions = "");
end loiDeCoulombHorizontal;
